Mailinglist Archive: opensuse-buildservice (219 mails)

< Previous Next >
[opensuse-buildservice] BuildRequires calculation issue
  • From: Wolfgang Rosenauer <wolfgang@xxxxxxxxxxxxx>
  • Date: Tue, 05 Feb 2008 23:43:13 +0100
  • Message-id: <47A8E681.3070006@xxxxxxxxxxxxx>
Hi,

I just ran into an issue which would be easy to fix from the spec file but I wonder why the buildservice doesn't handle it correctly:

My package BuildRequires: java-devel and I'm using SUSE:SL-10.1:NonFree/standard.
That means that it installs java-1_5_0-sun-1.5.0_06-17 on x86_64 (with i586 it works correctly since it pulls in 1.4.2) but I get the following error in the buildservice:

nstalling java-1_5_0-sun-1.5.0_06-17
/var/tmp/rpm-tmp.515: line 5: update-alternatives: command not found
/var/tmp/rpm-tmp.515: line 27: update-alternatives: command not found
/var/tmp/rpm-tmp.515: line 29: update-alternatives: command not found
/var/tmp/rpm-tmp.515: line 37: update-alternatives: command not found
error: %post(java-1_5_0-sun-1.5.0_06-17.x86_64) scriptlet failed, exit status 127

The package update-alternatives isn't installed before the java package although the Java package has PreReq: /usr/sbin/update-alternatives

So why isn't it handled correctly?

Thanks,
Wolfgang
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups